#include "vislearning/cbaselib/ImageInfo.h"
#include <iostream>
#include <string>
#include <list>

using namespace std;
using namespace OBJREC;

int main (int argc, char **argv)
{

	if (1 == argc)
		return 1;

	string path;
	path = string(argv[1]);

	ImageInfo info;
	info.loadImageInfo(path);

	list< CategoryInfo >::const_iterator label;
	label = info.labels()->begin();
	label++;
	label++;
	cout << info.imagePath() << "\n";
	cout << (*label).id() << "\n";
	cout << (*label).color() << "\n";

	cout << "10, 10 " << info.labeledImage().getPixel(10,10) << "\n";
	cout << "140, 40 " << info.labeledImage().getPixel(140,40) << "\n";

	return 0;
}
